using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF.stat
{
    public class StatAltersgruppe
    {
        public readonly string Name;
        public readonly int Male;
        public readonly int Female;
        public readonly int Belagstage;
        public readonly int CountAmbulant;
        internal StatAltersgruppe(StatContext context, uint altersgruppe)
        {
            Name = context.GetLineName(StatType.Alter, altersgruppe);
            Male = context.GetIntValue(StatType.Alter, altersgruppe, StatField.Male);
            Female = context.GetIntValue(StatType.Alter, altersgruppe, StatField.Female);
            Belagstage = context.GetIntValue(StatType.Alter, altersgruppe, StatField.Belagstage);
            CountAmbulant = context.GetIntValue(StatType.Alter, altersgruppe, StatField.Amb);
        }
    }
}
